function FeedMenu() {}
FeedMenu.constructor = FeedMenu;
FeedMenu.prototype = {
	view: null,
	selected: null,
	selectedIndex: 0,
	value: null,
	items: [],
	data: null,
	columnCount: 3,
	select: function (index)
	{
		if (this.selected != null)
			this.selected.className = this.selected.className.replace(" selected", "");
        
        if (index >= this.data.length)
        	index = 0;
		
		if (index < 0)
        	index = this.data.length - 1;
    	
    	this.selectedIndex = index;
  
    	this.selected = this.items[this.selectedIndex];
    	this.selected.className += " selected";
		
		this.value = this.data[this.selectedIndex];
	},
	create: function (view, data, isFeed)
	{
		this.view = view;
		this.data = data;
		
		this.view.innerHTML = ""; 
		
		for (var i = 0; i < this.data.length; i++)
    	{
    		if (isFeed)
    		  this.data[i] = this.transform(this.data[i]);
    		this.add(this.data[i], i);
    	}
    	
    	this.select(0);
	},
	add: function (item, index)
	{
		var element = document.createElement("a"),
		    c = (index % this.columnCount) + 1,
		    r = Math.floor(index / this.columnCount) + 1;
		element.className = "sample-menu-item sample-menu-r" + r + " sample-menu-c" + c;
		element.setAttribute("onclick", "loadVideo("+index+")");
		element.innerHTML = '<img class="sample-item-thumb" src="'+item.poster+'" />'+
			            	'<div class="sample-item-title">'+item.title+'</div>';
		          	
		this.view.appendChild(element);
		this.items.splice(index, 0, element);
	},
	transform: function (feed)
	{
		var item, thumb, data = feed, vo;
		
		if (typeof feed == "string")
		{
			feed = akamai.amp.utils.Utils.read(feed, null, akamai.amp.utils.Utils.mimeTypes.json);
		}

		item = (feed.channel.item.length > 0) ? feed.channel.item[0] : feed.channel.item;
		thumb = item["media-thumbnail"] || item["media-group"]["media-thumbnail"];
		if (thumb && thumb["@attributes"])
			thumb = thumb["@attributes"].url;
			
		vo = {
			title: item.title,
			poster: thumb,
			data: data
		};
		
		return vo;
	}
};